


// Local includes
#include "proj_0.h"
#include "proj_0widget.h"
#include "qpopupmenu.h"
#include "qmenubar.h"
#include "qlabel.h"
#include "qapplication.h"
#include "qstatusbar.h"
#include "qfiledialog.h"


proj_0::proj_0()
    : QMainWindow( 0, "proj_0" )
{
	setCaption("File I/O Exercises");
    // set the shell's ui resource file
//	setXMLFile("filetestsui.rc");

	new QLabel( "File I/O Learner", this, "hello label" );
   
	QPopupMenu *fileMenu = new QPopupMenu;
	
	fileMenu->insertItem( tr( "&Choose Working Directory" ), this, SLOT(chooseWD()) );
	fileMenu->insertSeparator();
	fileMenu->insertItem( tr( "&Quit" ), qApp, SLOT(quit()) );
	
	QMenuBar *menu = menuBar();
	
	
	menu->insertItem( tr( "&File" ), fileMenu );
	statusBar()->message("Working Directory: None set");  
	
	//-------------------------------------------------------------
	// this is different from template: template passes
	// setCentralWidget( new proj_0Widget( this ));
	// 
	// but I need to be able to communicate with the proj_0 widget,
	// so the pointer proj_0Widget *fPW is declared in proj_0.h
	fPW=new proj_0Widget( this );
	//
	//-------------------------------------------------------------
	
    setCentralWidget( fPW );
}

void proj_0::chooseWD()
{

	fPW->SetWD(QFileDialog::getExistingDirectory("bt05r000000"));
	QString wd="Working Directory: "+fPW->GetWD();
	QString fileName="/settings/addressParameters.dat";
	statusBar()->message(wd);
	printf ("%s\n", (const char*) fileName);
}

proj_0::~proj_0()
{
}
